------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>296
--/reloadlua Script\QiXi\QiXiMemory5.lua
--/chgmap 11850 92 144
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(91,139)
CppScriptMgr:NpcCallOut("To save Eurydice from Hades, Orphee decided to enter the underworld and take the challenge!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("The king of hell made a request: You must not look back at your wife before you go out of the underworld, otherwise your wife will never be able to wake up.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("And then, Orphee held his wife`s hand and went on the road back to the real world.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:AddSimplePlayer(1055784,91,144,"[God of Sun`s Child] \n    Orphee",0,0)
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Thanks to the help of the gold harp, I will get Eurydice out of the underworld!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
Player_1:Say("Thanks to the help of the gold harp, I will get Eurydice out of the underworld!",1500)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:ShakeScrEffect(5)
CppScriptMgr:DelPlayer(Player_1)
local Effect_1=CppScriptMgr:AddEffect("attach_accept05",91,137,33)
local Effect_2=CppScriptMgr:AddEffect("attach_accept05",89,137,33)
local Effect_3=CppScriptMgr:AddEffect("attach_accept05",94,138,33)
CppScriptMgr:WaitMilSec(1000)
local Player_2=CppScriptMgr:AddSimplePlayer(1062520,91,137,"[King of Hell]\n Hades",0,0)
Player_2:SetZoomPercent(180)
local Player_3=CppScriptMgr:AddPlayer(326,89,137,"[Hades`s Minion]\n   Hell Demon",0,0)
local Player_4=CppScriptMgr:AddPlayer(326,94,138,"[Hades`s Minion]\n   Hell Demon",0,0)
Player_3:SetDir(0)
Player_3:SetDir(0)
local Player_5=CppScriptMgr:AddSimplePlayer(1055784,91,144,"[God of Sun`s Child] \n    Orphee",0,0)
Player_1:SetHide(1)
Player_5:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("The underworld is not a place where you can come and go whenever you like!",1000)
CppScriptMgr:NpcCallOut("The underworld is not a place where you can come and go whenever you like!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc7135",150,430,"Hades",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_3:Say("Let me handle it for you, my King of Hell!",1000)
Player_4:Say("Let me handle it for you, my King of Hell!",1000)
CppScriptMgr:NpcCallOut("Let me handle it for you, my King of Hell!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc7126",150,430,"Hades`s Minion",250,655)
CppScriptMgr:WaitMilSec(3000)
